Skip to main content

EDI Schematic: DSWMS and ERP

+─────────────+                                                      +─────────────+
| | | |
| | ── POST /v1/articles ────────────────────────────> | |
| | Articles (near real-time) | |
| | | |
| | ── POST /v1/articles/splitgroups ────────────────> | |
| | Article split groups (near real-time) | |
| | | |
| | ── POST /v1/articles/units ──────────────────────> | |
| | Article units (near real-time) | |
| | | |
| | ── POST /v1/articles/units/barcodes ─────────────> | |
| | Article unit barcodes (near real-time) | |
| | | |
| | ── POST /v1/articles/empties ────────────────────> | |
| | Article empties (near real-time) | |
| | | |
| ERP | ── POST /v1/orders/purchase ────────────────────> | DSWMS |
| | Purchase orders (near real-time) | |
| | | |
| | ── POST /v1/orders/customer ────────────────────> | |
| | Customer orders (near real-time) | |
| | | |
| | ── POST /v1/customers ──────────────────────────> | |
| | Customer master data (near real-time) | |
| | | |
| | ── POST /v1/inventory ──────────────────────────> | |
| | Inventory request (on demand) | |
| | | |
| | <── GET /v1/orders/purchase/{id}/receives ──────── | |
| | Purchase order receives (on completion) | |
| | | |
| | <── GET /v1/orders/customer/{id}/delivery ──────── | |
| | Customer order delivery (on completion) | |
| | | |
| | <── GET /v1/inventory/{id}/status ──────────────── | |
| | Inventory status & results (on demand) | |
| | | |
| | <── GET /v1/journal/stock/{date} ──────────────── | |
| | <── GET /v1/journal/stock/id/{id} ─────────────── | |
| | Stock journal (on demand) | |
| | | |
| | <── GET /v1/journal/stock/holds/{date} ────────── | |
| | <── GET /v1/journal/stock/holds/id/{id} ───────── | |
| | Stock journal holds (on demand) | |
| | | |
+─────────────+ +─────────────+

Data Flow Summary

DirectionInterfaceFrequency
ERP -> DSWMSArticlesNear real-time
ERP -> DSWMSArticle Split GroupsNear real-time
ERP -> DSWMSArticle UnitsNear real-time
ERP -> DSWMSArticle Unit BarcodesNear real-time
ERP -> DSWMSArticle EmptiesNear real-time
ERP -> DSWMSPurchase OrdersNear real-time
ERP -> DSWMSCustomer OrdersNear real-time
ERP -> DSWMSCustomer (Store Master Data)Near real-time
ERP -> DSWMSInventory RequestOn demand
DSWMS -> ERPPurchase Order ReceivesOn completion
DSWMS -> ERPCustomer Order DeliveryOn completion
DSWMS -> ERPInventory StatusOn demand
DSWMS -> ERPStock Journal (by date / by ID)On demand
DSWMS -> ERPStock Journal Holds (by date / by ID)On demand